GET
https://api.cryptohopper.com/v1/hopper/{id}/marketmaker
Returns the market maker orders of a market maker bot that are still running (not completed, cancelled or failed), each with its buy and sell side.
OAuth scope:
read About scopes
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID of a market maker bot. |
Response
{
"data": [
{
"id": "7700001",
"base_currency": "USDT",
"currency": "BTC",
"exchange": "binance",
"market": "BTCUSDT",
"market_trend": "neutral",
"order_layer": "1",
"order_sequence": "sametime",
"buy_order_id": "55140001",
"buy_trade_id": "0",
"buy_order_type": "limit",
"buy_amount": "0.001",
"buy_amount_filled": "0",
"buy_rate": "64900",
"buy_cost": "64.9",
"buy_fee": "0",
"sell_order_id": "55140002",
"sell_trade_id": "0",
"sell_order_type": "limit",
"sell_amount": "0.001",
"sell_amount_filled": "0",
"sell_rate": "65100",
"sell_cost": "65.1",
"sell_fee": "0",
"order_date": "2026-09-25 10:00:00",
"order_date_step": "2026-09-25 10:00:00",
"completed_date": null,
"order_trigger": "manual",
"profit": "0.20",
"completed": "0",
"cancelled": "0",
"failed": "0"
}
]
}